- Qt 6.4
- Qt SCXML
- C++ Classes
- QScxmlInvokableServiceFactory
- Qt 6.4.2 Reference Documentation

# QScxmlInvokableServiceFactory Class

The QScxmlInvokableServiceFactory class creates invokable service instances. More...

Header: | #include <QScxmlInvokableServiceFactory>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Scxml) target_link_libraries(mytarget PRIVATE Qt6::Scxml)
qmake: | QT += scxml
Since: | Qt 5.8
Inherited By: | QScxmlDynamicScxmlServiceFactory and QScxmlStaticScxmlServiceFactory

- List of all members, including inherited members

## Properties

- invokeInfo : const QScxmlExecutableContent::InvokeInfo
- names : const QList<QScxmlExecutableContent::StringId>
- parameters : const QList<QScxmlExecutableContent::ParameterInfo>

## Public Functions

virtual QScxmlInvokableService * | invoke(QScxmlStateMachine *parentStateMachine) = 0
const QScxmlExecutableContent::InvokeInfo & | invokeInfo() const
const QList<QScxmlExecutableContent::StringId> & | names() const
const QList<QScxmlExecutableContent::ParameterInfo> & | parameters() const

## Detailed Description

Each service instance represents an `<invoke>` element in the SCXML document. Each time the service is actually invoked, a new instance of QScxmlInvokableService is created.

## Property Documentation

### `[read-only]` invokeInfo : const QScxmlExecutableContent::InvokeInfo

This property holds the QScxmlExecutableContent::InvokeInfo passed to the constructor.

Access functions:

const QScxmlExecutableContent::InvokeInfo & | invokeInfo() const

### `[read-only]` names : const QList<QScxmlExecutableContent::StringId>

This property holds the names passed to the constructor.

Access functions:

const QList<QScxmlExecutableContent::StringId> & | names() const

### `[read-only]` parameters : const QList<QScxmlExecutableContent::ParameterInfo>

This property holds the parameters passed to the constructor.

Access functions:

const QList<QScxmlExecutableContent::ParameterInfo> & | parameters() const

## Member Function Documentation

### `[pure virtual]` QScxmlInvokableService *QScxmlInvokableServiceFactory::invoke(QScxmlStateMachine *parentStateMachine)

Invokes the service with the parameters given in the constructor, passing parentStateMachine as the parent. Returns the new invokable service.